[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.BeginRootComponent

Starts the reading of the root component.

## Declaration

Source position: classesh.inc line 1103

`public procedure TAbstractObjectReader.BeginRootComponent; virtual; abstract;`

## Description

This function can be used to initialize the driver class for reading a component. It is called once at the beginning of the read process, and is immediatly followed by a call to BeginComponent.

## See also

TAbstractObjectReader.BeginComponent |  | Marks the reading of a new component.

Documentation generated on: Feb 26 2014